#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <ext/rope>

#define mp make_pair
#define mt make_tuple
#define sz size()
#define pb push_back
#define SPED ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0)
#define all(x) (x).begin(),(x).end()
#define allr(x) (x).rbegin(),(x).rend()
#define inv(n) power((n), mod - 2)
#define ff(i,a,b) for (int (i) = (a); (i) < (b); (i)++)
#define fff(i,a,b) for (int (i) = (a); (i) <= b; (i)++)
#define bff(i,a,b) for (int (i) = (b)-1; (i) >= (a); (i)--)
#define bfff(i,a,b) for (int (i) = (b); (i) >= (a); (i)--)
#define sum_overflow(a,b) __builtin_add_overflow_p ((a), (b), (__typeof__ ((a) + (b))) 0)
#define mul_overflow(a,b) __builtin_mul_overflow_p ((a), (b), (__typeof__ ((a) * (b))) 0)
#define popcount(x) __builtin_popcountll(x)
#define PI 3.14159265358979323846

using namespace std;
using namespace __gnu_pbds;
using namespace __gnu_cxx;

typedef long long int ll;
typedef long double ld;
typedef unsigned long long int ull;
typedef pair<ll,ll> pll;
typedef vector<vector<ll>> graf;
typedef array<ll,3> all;
typedef array<double,3> add;

const ll mod = 1e9+7;
const ll MOD = 998244353;
const ll MAXN = 10001;
const ll INF = 1e18;

template <class T> using ordered_set = tree<T, null_type,less<T>, rb_tree_tag,tree_order_statistics_node_update>;
template <class T> using ordered_multiset = tree<T, null_type,less_equal<T>, rb_tree_tag,tree_order_statistics_node_update>;

int main()
{
    SPED;
    string s1,s2;
    cin >> s1;
    cin >> s2;
    if(s1.length()>s2.length())
        swap(s1,s2);
    ll n1 = s1.length();
    ll n2 = s2.length();
    ll i1 = n1-1;
    ll i2 = n2-1;
    stack<char> s;
    while(i1>=0 || i2>=0)
    {
        if(i1>=0 && i2>=0)
        {
            char c1 = s1[i1];
            char c2 = s2[i2];
            if(c1>c2)
                s.push(c1);
            else if(c2>c1)
                s.push(c2);
            else
            {
                s.push(c1);
                s.push(c2);
            }
            i1--;
            i2--;
        }
        else if(i2>=0)
        {
            char c2 = s2[i2];
            s.push(c2);
            i2--;
        }
    }
    while(!s.empty())
    {
        cout << s.top();
        s.pop();
    }
    cout << "\n";
    return 0;
}